PROBE::SIGNAL.SYS_(3stap)

NAME
probe::signal.sys_tkill - Sending a kill signal to a thread

SYNOPSIS

signal.sys_tkill

VALUES

sig_pid
    The PID of the process receiving the kill signal

task
    A task handle to the signal recipient

sig
    The specific signal sent to the process

name
    Name of the probe point

pid_name
    The name of the signal recipient

sig_name
    A string representation of the signal

DESCRIPTION

The tkill call is analogous to kill(2), except that it also allows a process within a specific thread group to be targeted. Such processes are targeted through their unique thread IDs (TID).

SEE ALSO
tapset::signal(3stap)